<template>
  <div class="DANGER">
    <div class="title">
      <span>农产品监管</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div class="top">
        <div class="left">
          <p class="message">基础信息统计</p>
          <div class="statistics">
            <div class="list">
              <p>生产主体</p>
              <span>{{ value1 }}</span>
            </div>
            <div class="list">
              <p>地块总面积</p>
              <span>{{ value2 }}</span>
            </div>
            <div class="list">
              <p>农资门店</p>
              <span>{{ value3 }}</span>
            </div>
            <div class="list">
              <p>交易市场</p>
              <span>{{ value4 }}</span>
            </div>
            <div class="list">
              <p>种苗企业</p>
              <span>{{ value5 }}</span>
            </div>
            <div class="list">
              <p>产品检测</p>
              <span>{{ value6 }}</span>
            </div>
            <div class="list">
              <p>监管检查</p>
              <span>{{ value7 }}</span>
            </div>
            <div class="list">
              <p>监督检查</p>
              <span>{{ value8 }}</span>
            </div>
            <div class="list">
              <p>电子合格证</p>
              <span>{{ value9 }}</span>
            </div>
          </div>
        </div>
        <!-- <div class="right" id="ranking"></div> -->
      </div>
      <div class="bottom">
        <div id="nzmdfbt"></div>
        <!-- <div class="bgbox">
          <div class="msg weihua">
            <p>重点监管危化品</p>
            <span>{{ value11 }}</span>
          </div>
          <div class="msg weixian">
            <p>涉重大危险源</p>
            <span>{{ value12 }}</span>
          </div>
          <div class="msg gaowei">
            <p>高危工艺</p>
            <span>{{ value13 }}</span>
          </div>
          <div class="msg dsc">
            <p>DSC安装</p>
            <span>{{ value14 }}</span>
          </div>
          <div class="msg pingu">
            <p>精细化反应评估</p>
            <span>{{ value15 }}</span>
          </div>
          <div class="msg gongyi">
            <p>高危工艺操作工持证数</p>
            <span>{{ value16 }}</span>
          </div>
          <div class="msg guanli">
            <p>管理人员持证数</p>
            <span>{{ value17 }}</span>
          </div>
          <div class="msg sis">
            <p>SIS安装</p>
            <span>{{ value18 }}</span>
          </div>
        </div> -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      value1: null,
      value2: null,
      value3: null,
      value4: null,
      value5: null,
      value6: null,
      value7: null,
      value8: null,
      value9: null,
      value11: null,
      value12: null,
      value13: null,
      value14: null,
      value15: null,
      value16: null,
      value17: null,
      value18: null,
    };
  },
  //方法集合
  methods: {
    nzInit() {
      let nzChart = this.$echarts.init(document.getElementById("nzmdfbt"));
      window.onresize = function () {
        nzChart.resize();
      };
      let nzOption = {
        title: {
          text: "农资门店分布图",
          textStyle: {
            fontSize: 28,
            color: "#fff",
          },
          left: "34%",
          top: "3%",
        },
        grid: {
          top: "2%",
          bottom: "20%",
          left: "5%",
          right: "18%",
        },
        xAxis: {
          type: "category",
          data: [
            "圣城街道",
            "文家街道",
            "古城街道",
            "洛城街道",
            "孙家集街道",
            "化龙镇",
            "营里镇",
            "台头镇",
            "田柳镇",
            "上口镇",
            "侯镇",
            "纪台镇",
            "稻田镇",
            "羊口镇",
            "双王城生态经济园区管委会",
          ],
          axisLine: {
            lineStyle: {
              color: "#9DD5E4",
            },
          },
          axisTick: {
            show: true,
          },
          axisLabel: {
            color: "#fff",
            fontSize: 18,
            interval: 0,
            rotate: 40,
          },
        },
        barWidth: 30,
        yAxis: {
          type: "value",
          name: "（个）",
          axisLabel: {
            color: "#FFFFFF",
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: "#1496DF",
            },
          },
          axisTick: {
            show: false,
          },
          splitLine: {
            show: false,
          },
          interval: {
            splitNumber: 0,
          },
        },
        textStyle: {
          color: "#fff",
          fontSize: 24,
        },

        series: [
          {
            data: [
              370, 210, 410, 100, 390, 210, 130, 400, 123, 456, 121, 359, 720,
              66, 55,
            ],
            type: "bar",
            color: ["#1496DF"],
          },
        ],
      };
      nzChart.setOption(nzOption);
    },
    async drawLine() {
      //获取数据
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/chemistry/chemistry/queryall"
      );
      var valueData = dt.result;
      var arr = [];
      for (var i in valueData) {
        if (valueData[i].name == "企业数") {
          this.value1 = valueData[i].value;
        } else if (valueData[i].name == "生产取证数") {
          this.value2 = valueData[i].value;
        } else if (valueData[i].name == "使用取证数") {
          this.value3 = valueData[i].value;
        } else if (valueData[i].name == "项目数") {
          this.value4 = valueData[i].value;
        } else if (valueData[i].name == "一线职工数") {
          this.value5 = valueData[i].value;
        } else if (valueData[i].name == "注安人数") {
          this.value6 = valueData[i].value;
        } else if (valueData[i].name == "有储存经营") {
          this.value7 = valueData[i].value;
        } else if (valueData[i].name == "无储存经营") {
          this.value8 = valueData[i].value;
        } else if (valueData[i].name == "加油站") {
          this.value9 = valueData[i].value;
        } else if (valueData[i].name == "重点监管危化品") {
          this.value11 = valueData[i].value;
        } else if (valueData[i].name == "涉重大危险源") {
          this.value12 = valueData[i].value;
        } else if (valueData[i].name == "高危工艺") {
          this.value13 = valueData[i].value;
        } else if (valueData[i].name == "DSC安装") {
          this.value14 = valueData[i].value;
        } else if (valueData[i].name == "精细化反应评估") {
          this.value15 = valueData[i].value;
        } else if (valueData[i].name == "高危工艺操作工持证数") {
          this.value16 = valueData[i].value;
        } else if (valueData[i].name == "管理人员持证数") {
          this.value17 = valueData[i].value;
        } else if (valueData[i].name == "SIS安装") {
          this.value18 = valueData[i].value;
        } else if (
          valueData[i].name == "氯" ||
          valueData[i].name == "甲醛" ||
          valueData[i].name == "甲苯" ||
          valueData[i].name == "氢" ||
          valueData[i].name == "三氯甲烷"
        ) {
          arr.push(valueData[i]);
        }
      }
      var len = arr.length;
      for (var i = 0; i < len - 1; i++) {
        for (var j = 0; j < len - 1 - i; j++) {
          // 相邻元素两两对比，元素交换，大的元素交换到后面
          if (parseFloat(arr[j].value) < parseFloat(arr[j + 1].value)) {
            var temp = arr[j];
            arr[j] = arr[j + 1];
            arr[j + 1] = temp;
          }
        }
      }
      var cityListone = [];
      var cityListtwo = [];
      for (var k in arr) {
        cityListone.push(arr[k].name);
        cityListtwo.push(arr[k].value);
      }
      // 基于准备好的dom，初始化echarts实例
      let Chart = this.$echarts.init(document.getElementById("ranking"));
      // import echarts from 'echarts'
      var charts = {
        // 按顺序排列从大到小
        cityList: cityListone,
        cityData: cityListtwo,
      };

      var top10CityList = charts.cityList;
      var top10CityData = charts.cityData;
      var color = ["#FFC800", "#FF6D00", "#FF0000", "#00B4FF", "#00B4FF"];
      var color1 = ["#886800", "#AD4700", "#EE0000", "#004D97", "#004D97"];
      let lineY = [];
      for (var i = 0; i < charts.cityList.length; i++) {
        var x = i;
        if (x > color.length - 1) {
          x = color.length - 1;
        }
        var data = {
          name: charts.cityList[i],
          color: color[x],
          value: top10CityData[i],
          itemStyle: {
            normal: {
              show: true,
              color: new this.$echarts.graphic.LinearGradient(
                0,
                0,
                1,
                0,
                [
                  {
                    offset: 0,
                    color: color1[x],
                  },
                  {
                    offset: 1,
                    color: color[x],
                  },
                ],
                false
              ),
              barBorderRadius: 10,
            },
            emphasis: {
              shadowBlur: 15,
              shadowColor: "rgba(0, 0, 0, 0.1)",
            },
          },
        };
        lineY.push(data);
      }

      let option = {
        title: {
          top: "1%",
          text: "重点监管危化品排行",

          left: "center",
          textStyle: {
            color: "#fff",
            fontSize: 25,
          },
        },
        tooltip: {
          trigger: "item",
        },
        grid: {
          borderWidth: 0,
          top: "17%",
          left: "5%",
          right: "15%",
          bottom: "0%",
        },
        color: color,
        yAxis: [
          {
            type: "category",
            inverse: true,
            axisTick: {
              show: false,
            },
            axisLine: {
              show: false,
            },
            axisLabel: {
              show: false,
              inside: false,
            },
            data: top10CityList,
          },
          {
            type: "category",
            axisLine: {
              show: false,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              show: true,
              inside: false,
              textStyle: {
                color: "#fff",
                fontSize: "14",
                fontFamily: "PingFangSC-Regular",
              },
              formatter: function (val) {
                return `${val}`;
              },
            },
            splitArea: {
              show: false,
            },
            splitLine: {
              show: false,
            },
            data: top10CityData,
          },
        ],
        xAxis: {
          type: "value",
          axisTick: {
            show: false,
          },
          axisLine: {
            show: false,
          },
          splitLine: {
            show: false,
          },
          axisLabel: {
            show: false,
          },
        },
        series: [
          {
            name: "",
            type: "bar",
            zlevel: 2,
            barWidth: "10px",
            data: lineY,
            animationDuration: 1500,
            label: {
              normal: {
                color: "#fff",
                show: true,
                position: [0, "-24px"],
                textStyle: {
                  fontSize: 16,
                },
                formatter: function (a, b) {
                  return a.name;
                },
              },
            },
          },
        ],
        animationEasing: "cubicOut",
      };

      // 绘制图表
      Chart.setOption(option);
    },
  },
  mounted() {
    this.drawLine();
    this.nzInit();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.DANGER {
  // height: 70%;
  background: rgba(8, 32, 58, 0.7);
  box-sizing: border-box;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    padding-top: 17px;
    .top {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      .left {
        width: 100%;
        height: 666px;
        .message {
          font-size: 60px;
          font-weight: 400;
          color: #ffffff;
          text-align: center;
        }
        .statistics {
          display: flex;
          justify-content: center;
          align-items: center;
          flex-wrap: wrap;
          .list {
            width: 378px;
            height: 174px;
            background: url("../../../assets/img/3.png") no-repeat center;
            background-size: 100% 100%;
            margin-bottom: 30px;
            position: relative;
            p {
              font-size: 30px;
              color: #66d1f9;
              position: absolute;
              top: 47px;
              left: 186px;
              white-space: nowrap;
            }
            span {
              font-size: 50px;
              font-weight: bold;
              color: #ffd800;
              position: absolute;
              top: 99px;
              left: 235px;
            }
          }
          .list:nth-child(n + 6) {
            margin-bottom: 0;
          }
          .list:nth-child(1) {
            p {
              left: 216px;
            }
          }
          .list:nth-child(4) {
            p {
              left: 216px;
            }
          }
          .list:nth-child(6) {
            p {
              left: 200px;
            }
          }
          .list:nth-child(9) {
            p {
              left: 216px;
            }
          }
        }
      }
      .right {
        width: 39%;
        height: 666px;
      }
    }
    .bottom {
      // padding-top: 129px;
      // padding-top: 100px;
      //  width: 100%;

      width: 2500px;
      height: 1000px;
      // margin: 0 auto;
      font-size: 24px;
      display: flex;
      justify-content: center;
      color: #fff;
      .bgbox {
        width: 1786px;
        height: 868px;
        background: url("../../../assets/img/组 1 拷贝 30.png") no-repeat center;
        background-size: 100% 100%;
        position: relative;
        .msg {
          position: absolute;
          text-align: center;
          p {
            font-size: 30px;
            font-weight: bold;
            color: #ffffff;
          }
          span {
            font-size: 53px;
            font-weight: bold;
            color: #ffd800;
          }
        }
        .weihua {
          left: 120px;
          top: 427px;
        }
        .weixian {
          left: 455px;
          top: 158px;
        }
        .gaowei {
          left: 1085px;
          top: 188px;
        }
        .dsc {
          left: 1378px;
          top: 277px;
        }
        .pingu {
          left: 1454px;
          top: 527px;
        }
        .gongyi {
          left: 1138px;
          top: 719px;
        }
        .guanli {
          left: 765px;
          top: 805px;
        }
        .sis {
          left: 388px;
          top: 659px;
        }
      }
    }
  }
}
@media only screen and (max-width: 2560px) {
  .DANGER {
    height: auto;
    overflow: visible;
    background: transparent;
    .content {
      .top {
        .left {
          width: 100%;
          height: calc(666px * 2);
          .statistics {
            .list {
              width: calc(0.27632rem * 2.5);
              margin-right: 0.08772rem;
              height: calc(0.12719rem * 2.5);
              margin-bottom: calc(30px * 2);
              p {
                top: calc(47px * 2);
                left: calc(186px * 1.5);
              }
              span {
                top: calc(99px * 2);
                left: calc(235px * 1.5);
              }
            }
            .list:nth-child(1) {
              p {
                left: calc(216px * 1.5);
              }
            }
            .list:nth-child(4) {
              p {
                left: calc(216px * 1.5);
              }
            }
            .list:nth-child(6) {
              p {
                left: calc(200px * 1.5);
              }
            }
            .list:nth-child(9) {
              p {
                left: calc(216px * 1.5);
              }
            }
          }
        }
        .right {
          width: 100%;
          height: calc(666px * 3);
        }
      }
      .bottom {
        display: none;
        .bgbox {
          width: calc(1786px * 2);
          height: calc(868px * 2);

          .weihua {
            left: calc(120px * 2);
            top: calc(427px * 2);
          }
          .weixian {
            left: calc(455px * 2);
            top: calc(158px * 2);
          }
          .gaowei {
            left: calc(1085px * 2);
            top: calc(188px * 2);
          }
          .dsc {
            left: calc(1378px * 2);
            top: calc(277px * 2);
          }
          .pingu {
            left: calc(1454px * 2);
            top: calc(527px * 2);
          }
          .gongyi {
            left: calc(1138px * 2);
            top: calc(719px * 2);
          }
          .guanli {
            left: calc(765px * 2);
            top: calc(805px * 2);
          }
          .sis {
            left: calc(388px * 2);
            top: calc(659px * 2);
          }
        }
      }
    }
  }
  #nzmdfbt {
    height: 2000px;
    width: 1750px;
    canvas {
      width: 2550px !important;
      height: 1000px !important;
    }
  }
}
.message {
  font-size: 60px;
  font-weight: 400;
  color: #ffffff;
  text-align: center;
}
#nzmdfbt {
  height: 1000px;
  width: 4000px;
  //   canvas {
  //     width: 1200px !important;
  //     height: 450px !important;
  //   }
}
</style>
